Skip to main content

Computed SkyPath Turbulence data for corridor

POST 

/observations/v5/corridor

info

This endpoint should be used for server-to-server integrations only. For web app displaying SkyPath data, use the Web SDK.

Use this to fetch SkyPath computed turbulence data for a specific time span, range of altitudes and calculated for a specific aircraft type. Using this operation you can limit the query to a Geo fence corridor. (Supports now only GeoJson fragments: Polygon). For performance and network optimization it is restricted to maximum 250 vertices and 7500 square kilometers, the polygon should be convex.'

Request​

Body

required

    corridor

    object

    required

    type stringrequired

    Possible values: [Polygon]

    coordinates array[]required
    since number

    Timestamp (unix time) to retrieve only the data that has changed since this time.

    hoursAgo number

    Possible values: [0.5, 1, 2, 4]

    Default value: 2

    Number of hours ago to retrieve data for

    acCat string

    Default value: C60

    Aircraft category

    minAlt number

    Possible values: >= 5 and <= 52

    Default value: 5

    The minimum altitude in thousands of feet. (5-52)

    maxAlt number

    Possible values: >= 5 and <= 52

    Default value: 52

    Maximum altitude in thousands of feet. (5-52)

Responses​

Response for get map data

Schema

    data

    object

    Corridor data

    lastUpdatedAt numberrequired

    Unix timestamp of the last update

    hexagons

    object[]

    required

    array of hexagons with calculated turbulence data

  • Array [

  • id stringrequired

    H3 hexagon id in zoom 5

    alt numberrequired

    Altitude level

    sev numberrequired

    SkyPath severity level

    edr numberrequired

    EDR severity level

    observedAt numberrequired

    Timestamp in Linux epoch when this hexagon was last observed

  • ]

  • meta object

    Additional data

    links object

    Links

    warnings object

    Warnings

Loading...